



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>java身份证验证</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">java身份证验证</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-29 10:51:49 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<table>
<tbody>
<tr>
<td>
<div>
<div><code>import</code> <code>java.text.ParseException; </code></div>
<div><code>import</code> <code>java.text.SimpleDateFormat; </code></div>
<div><code>import</code> <code>java.util.Calendar; </code></div>
<div><code>import</code> <code>java.util.GregorianCalendar; </code></div>
<div><code>import</code> <code>java.util.Hashtable; </code></div>
<div><code>import</code> <code>java.util.Scanner; </code></div>
<div><code>import</code> <code>java.util.regex.Matcher; </code></div>
<div><code>import</code> <code>java.util.regex.Pattern; </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>public</code> <code>class</code> <code>IDCard { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/*********************************** 身份证验证开始 ****************************************/</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/** </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 身份证号码验证&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 1、号码的结构 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 公民身份号码是特征组合码，由十七位数字本体码和一位校验码组成。排列顺序从左至右依次为：六位数字地址码，八位数字出生日期码，三位数字顺序码和一位数字校验码。&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 2、地址码(前六位数） </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 表示编码对象常住户口所在县(市、旗、区)的行政区划代码，按GB/T2260的规定执行。 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 3、出生日期码（第七位至十四位） </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 表示编码对象出生的年、月、日，按GB/T7408的规定执行，年、月、日代码之间不用分隔符。 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 4、顺序码（第十五位至十七位） </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 表示在同一地址码所标识的区域范围内，对同年、同月、同日出生的人编定的顺序号， 顺序码的奇数分配给男性，偶数分配给女性。 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 5、校验码（第十八位数） </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* （1）十七位数字本体码加权求和公式 S = Sum(Ai * Wi), i = 0, ... , 16 ，先对前17位数字的权求和Ai:表示第i位置上的身份证号码数字值 Wi:表示第i位置上的加权因子 Wi: 7 9 10 5 8 4 2 1 6 3 7 9 10 5 8 4 2&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* （2）计算模 Y = mod(S, 11)&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* （3）通过模得到对应的校验码 Y: 0 1 2 3 4 5 6 7 8 9 10 校验码: 1 0 X 9 8 7 6 5 4 3 2 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*/</code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/** </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 功能：身份证的有效验证 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @param IDStr </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 身份证号 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @return 有效：返回 无效：返回String信息 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*/</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>public</code> <code>static</code> <code>String IDCardValidate(String IDStr) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String errorInfo = ;</code><code>// 记录错误信息 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String[] ValCodeArr = { </code><code>1</code><code>, </code><code>0</code><code>, x, </code><code>9</code><code>, </code><code>8</code><code>, </code><code>7</code><code>, </code><code>6</code><code>, </code><code>5</code><code>, </code><code>4</code><code>, </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>3</code><code>, </code><code>2</code> <code>}; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String[] Wi = { </code><code>7</code><code>, </code><code>9</code><code>, </code><code>10</code><code>, </code><code>5</code><code>, </code><code>8</code><code>, </code><code>4</code><code>, </code><code>2</code><code>, </code><code>1</code><code>, </code><code>6</code><code>, </code><code>3</code><code>, </code><code>7</code><code>, </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>9</code><code>, </code><code>10</code><code>, </code><code>5</code><code>, </code><code>8</code><code>, </code><code>4</code><code>, </code><code>2</code> <code>}; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String Ai = ; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// ================ 号码的长度 15位或18位 ================ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(IDStr.length() != </code><code>15</code> <code>&amp;&amp; IDStr.length() != </code><code>18</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证号码长度应该为</code><code>15</code><code>位或</code><code>18</code><code>位。; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// =======================(end)======================== </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// ================ 数字 除最后以为都为数字 ================ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(IDStr.length() == </code><code>18</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Ai = IDStr.substring(</code><code>0</code><code>, </code><code>17</code><code>); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code><code>else</code> <code>if</code> <code>(IDStr.length() == </code><code>15</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Ai = IDStr.substring(</code><code>0</code><code>, </code><code>6</code><code>) + </code><code>19</code> <code>+ IDStr.substring(</code><code>6</code><code>, </code><code>15</code><code>); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(isNumeric(Ai) == </code><code>false</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证</code><code>15</code><code>位号码都应为数字 ; </code><code>18</code><code>位号码除最后一位外，都应为数字。; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// =======================(end)======================== </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// ================ 出生年月是否有效 ================ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String strYear = Ai.substring(</code><code>6</code><code>, </code><code>10</code><code>);</code><code>// 年份 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String strMonth = Ai.substring(</code><code>10</code><code>, </code><code>12</code><code>);</code><code>// 月份 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String strDay = Ai.substring(</code><code>12</code><code>, </code><code>14</code><code>);</code><code>// 月份 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(isDate(strYear + - + strMonth + - + strDay) == </code><code>false</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证生日无效。; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>GregorianCalendar gc = </code><code>new</code> <code>GregorianCalendar(); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>SimpleDateFormat s = </code><code>new</code> <code>SimpleDateFormat(yyyy-MM-dd); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>try</code> <code>{ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>((gc.get(Calendar.YEAR) - Integer.parseInt(strYear)) &gt; </code><code>150</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>|| (gc.getTime().getTime() - s.parse( </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>strYear + - + strMonth + - + strDay).getTime()) &lt; </code><code>0</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证生日不在有效范围。; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code><code>catch</code> <code>(NumberFormatException e) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>e.printStackTrace(); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code><code>catch</code> <code>(java.text.ParseException e) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>e.printStackTrace(); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(Integer.parseInt(strMonth) &gt; </code><code>12</code> <code>|| Integer.parseInt(strMonth) == </code><code>0</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证月份无效; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(Integer.parseInt(strDay) &gt; </code><code>31</code> <code>|| Integer.parseInt(strDay) == </code><code>0</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证日期无效; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// =====================(end)===================== </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// ================ 地区码时候有效 ================ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Hashtable&lt;!--?, ?--&gt; h = GetAreaCode(); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(h.get(Ai.substring(</code><code>0</code><code>, </code><code>2</code><code>)) == </code><code>null</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证地区编码错误。; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// ============================================== </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// ================ 判断最后一位的值 ================ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>int</code> <code>TotalmulAiWi = </code><code>0</code><code>; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>for</code> <code>(</code><code>int</code> <code>i = </code><code>0</code><code>; i &lt; </code><code>17</code><code>; i++) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>TotalmulAiWi = TotalmulAiWi </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>+ Integer.parseInt(String.valueOf(Ai.charAt(i))) </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* Integer.parseInt(Wi[i]); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>int</code> <code>modValue = TotalmulAiWi % </code><code>11</code><code>; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>String strVerifyCode = ValCodeArr[modValue]; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Ai = Ai + strVerifyCode; </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(IDStr.length() == </code><code>18</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(Ai.equals(IDStr) == </code><code>false</code><code>) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>errorInfo = 身份证无效，不是合法的身份证号码; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>errorInfo; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code><code>else</code> <code>{ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>YES; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// =====================(end)===================== </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>YES; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/** </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 功能：设置地区编码 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @return Hashtable 对象 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*/</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>private</code> <code>static</code> <code>Hashtable&lt;STRING, string=</code><code>""</code><code>&gt; GetAreaCode() { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Hashtable&lt;STRING, string=</code><code>""</code><code>&gt; hashtable = </code><code>new</code> <code>Hashtable&lt;STRING, string=</code><code>""</code><code>&gt;(); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>11</code><code>, 北京); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>12</code><code>, 天津); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>13</code><code>, 河北); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>14</code><code>, 山西); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>15</code><code>, 内蒙古); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>21</code><code>, 辽宁); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>22</code><code>, 吉林); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>23</code><code>, 黑龙江); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>31</code><code>, 上海); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>32</code><code>, 江苏); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>33</code><code>, 浙江); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>34</code><code>, 安徽); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>35</code><code>, 福建); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>36</code><code>, 江西); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>37</code><code>, 山东); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>41</code><code>, 河南); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>42</code><code>, 湖北); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>43</code><code>, 湖南); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>44</code><code>, 广东); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>45</code><code>, 广西); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>46</code><code>, 海南); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>50</code><code>, 重庆); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>51</code><code>, 四川); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>52</code><code>, 贵州); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>53</code><code>, 云南); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>54</code><code>, 西藏); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>61</code><code>, 陕西); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>62</code><code>, 甘肃); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>63</code><code>, 青海); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>64</code><code>, 宁夏); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>65</code><code>, 新疆); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>71</code><code>, 台湾); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>81</code><code>, 香港); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>82</code><code>, 澳门); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>hashtable.put(</code><code>91</code><code>, 国外); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>hashtable; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/** </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 功能：判断字符串是否为数字 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @param str </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @return </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*/</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>private</code> <code>static</code> <code>boolean</code> <code>isNumeric(String str) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Pattern pattern = Pattern.compile([</code><code>0</code><code>-</code><code>9</code><code>]*); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Matcher isNum = pattern.matcher(str); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(isNum.matches()) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>true</code><code>; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code><code>else</code> <code>{ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>false</code><code>; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/** </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* 功能：判断字符串是否为日期格式 </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*&nbsp; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @param str </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>* @return </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>*/</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>public</code> <code>static</code> <code>boolean</code> <code>isDate(String strDate) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Pattern pattern = Pattern </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>.compile(^((\d{</code><code>2</code><code>}(([</code><code>02468</code><code>][</code><code>048</code><code>])|([</code><code>13579</code><code>][</code><code>26</code><code>]))[\-\/\s]?((((</code><code>0</code><code>?[</code><code>13578</code><code>])|(</code><code>1</code><code>[</code><code>02</code><code>]))[\-\/\s]?((</code><code>0</code><code>?[</code><code>1</code><code>-</code><code>9</code><code>])|([</code><code>1</code><code>-</code><code>2</code><code>][</code><code>0</code><code>-</code><code>9</code><code>])|(</code><code>3</code><code>[</code><code>01</code><code>])))|(((</code><code>0</code><code>?[</code><code>469</code><code>])|(</code><code>11</code><code>))[\-\/\s]?((</code><code>0</code><code>?[</code><code>1</code><code>-</code><code>9</code><code>])|([</code><code>1</code><code>-</code><code>2</code><code>][</code><code>0</code><code>-</code><code>9</code><code>])|(</code><code>30</code><code>)))|(</code><code>0</code><code>?</code><code>2</code><code>[\-\/\s]?((</code><code>0</code><code>?[</code><code>1</code><code>-</code><code>9</code><code>])|([</code><code>1</code><code>-</code><code>2</code><code>][</code><code>0</code><code>-</code><code>9</code><code>])))))|(\d{</code><code>2</code><code>}(([</code><code>02468</code><code>][</code><code>1235679</code><code>])|([</code><code>13579</code><code>][</code><code>01345789</code><code>]))[\-\/\s]?((((</code><code>0</code><code>?[</code><code>13578</code><code>])|(</code><code>1</code><code>[</code><code>02</code><code>]))[\-\/\s]?((</code><code>0</code><code>?[</code><code>1</code><code>-</code><code>9</code><code>])|([</code><code>1</code><code>-</code><code>2</code><code>][</code><code>0</code><code>-</code><code>9</code><code>])|(</code><code>3</code><code>[</code><code>01</code><code>])))|(((</code><code>0</code><code>?[</code><code>469</code><code>])|(</code><code>11</code><code>))[\-\/\s]?((</code><code>0</code><code>?[</code><code>1</code><code>-</code><code>9</code><code>])|([</code><code>1</code><code>-</code><code>2</code><code>][</code><code>0</code><code>-</code><code>9</code><code>])|(</code><code>30</code><code>)))|(</code><code>0</code><code>?</code><code>2</code><code>[\-\/\s]?((</code><code>0</code><code>?[</code><code>1</code><code>-</code><code>9</code><code>])|(</code><code>1</code><code>[</code><code>0</code><code>-</code><code>9</code><code>])|(</code><code>2</code><code>[</code><code>0</code><code>-</code><code>8</code><code>]))))))(\s(((</code><code>0</code><code>?[</code><code>0</code><code>-</code><code>9</code><code>])|([</code><code>1</code><code>-</code><code>2</code><code>][</code><code>0</code><code>-</code><code>3</code><code>]))\:([</code><code>0</code><code>-</code><code>5</code><code>]?[</code><code>0</code><code>-</code><code>9</code><code>])((\s)|(\:([</code><code>0</code><code>-</code><code>5</code><code>]?[</code><code>0</code><code>-</code><code>9</code><code>])))))?$); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Matcher m = pattern.matcher(strDate); </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>(m.matches()) { </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>true</code><code>; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code><code>else</code> <code>{ </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>false</code><code>; </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>} </code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>/*********************************** 身份证验证结束 ****************************************/</code></div>
<div><code>&nbsp;</code>&nbsp;</div>
<div><code>}&lt;/STRING,&gt;&lt;/STRING,&gt;&lt;/STRING,&gt;</code></div>
</div>
</td>
</tr>
</tbody>
</table>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/qxnkw4d8.html">IT公司100题-14-排序数组中和为给定值的两个数字</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1oo139.html">android Xutils dbutils 注解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1okk39.html">Android基础总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x113v8.html">一次利用MSSQL的SA账户提权获取服务器权限</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn1z00q.html">Netbeans7&period;4&plus;Weblogic11g&plus;Spring3&period;2&period;4操作JdbcTemplate</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjdw5k8.html">uploadfiy使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyyx3j9.html">JVM内存结构、垃圾回收那点事（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m2wgj8.html">Excel教程&lpar;2&rpar; - 函数的参数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mekekpq.html">php随机获取验证码</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1knzj49.html">Hive metastore表结构设计分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j4oe38.html">&lbrack;Deep Learning&rsqb; 神经网络基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk0d5j8.html">2017 United Kingdom and Ireland Programming Contest &lpar;UKIEPC 2017&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd2yv09.html">内核线程的进程描述符task&lowbar;struct中的mm和active&lowbar;mm</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2okpy9.html">C&plus;&plus;中string跨DLL失败解决途径</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllr6x1q.html">&lbrack;转&rsqb;一次CMS GC问题排查过程（理解原理&plus;读懂GC日志）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5ex5mq.html">实现mapper接口注入的两种方式，以及后台的使用区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o43el5q.html">JNLP应用程序无法打开的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/953vmd08.html">Navicat如何直接修改表中数据？</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvemmpj9.html">Linq多字段排序</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdj2kwjq.html">关于CSS中的元素定位</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/g8ey3gz9.html">我的基于asp&period;net mvc5 &plus;mysql&plus;dapper&plus;easyui 的Web开发框架（1）数据库访问（0）</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnj41k8.html">pem转换成der</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9pdey49.html">RANSAC算法笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/0qwjx6z8.html">Pycharm创建py文件时自定义头部模板</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdp1y0q.html">Android Studio中获取SHA1或MD5的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jz7d48.html">iOS之 利用通知&lpar;NSNotificationCenter&rpar;获取键盘的高度&comma;以及显示和隐藏键盘时修改界面的注意事项</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7z1wg9.html">Linq的分页</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4zo439.html">Code Lock&lbrack;HDU3461&rsqb;</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlj4ek9.html">win10家庭版在线升级到win10专业版</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kpxr79.html">基于synchronized 或 ReadWriteLock实现 简单缓存机制</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
